kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ij...@apache.org
Subject [kafka] branch trunk updated: MINOR: Update dependencies for Kafka 2.2 (#6116)
Date Thu, 10 Jan 2019 09:14:45 GMT
This is an automated email from the ASF dual-hosted git repository.

ijuma pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 4154eb9  MINOR: Update dependencies for Kafka 2.2 (#6116)
4154eb9 is described below

commit 4154eb9f11a44c447e3f14318020c708a88d8e78
Author: Ismael Juma <ismael@juma.me.uk>
AuthorDate: Thu Jan 10 01:14:30 2019 -0800

    MINOR: Update dependencies for Kafka 2.2 (#6116)
    
    - Scala 2.12.7 -> 2.12.8
    - Gradle 5.0 -> 5.1
    - Jetty 9.4.12 -> 9.4.14
    - Rat 0.12 -> 0.13
    - Patch bumps for easymock, jackson, powermock
    - Patch bumps for gradle plugins: shadow, spotbugs, dependency-check, spotless
    
    Reviewers: Manikumar Reddy <manikumar.reddy@gmail.com>
---
 bin/kafka-run-class.sh          |  2 +-
 bin/windows/kafka-run-class.bat |  2 +-
 build.gradle                    | 10 +++++-----
 gradle.properties               |  2 +-
 gradle/dependencies.gradle      | 14 +++++++-------
 gradle/rat.gradle               |  2 +-
 6 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/bin/kafka-run-class.sh b/bin/kafka-run-class.sh
index 88698a5..c60419b 100755
--- a/bin/kafka-run-class.sh
+++ b/bin/kafka-run-class.sh
@@ -48,7 +48,7 @@ should_include_file() {
 base_dir=$(dirname $0)/..
 
 if [ -z "$SCALA_VERSION" ]; then
-  SCALA_VERSION=2.12.7
+  SCALA_VERSION=2.12.8
 fi
 
 if [ -z "$SCALA_BINARY_VERSION" ]; then
diff --git a/bin/windows/kafka-run-class.bat b/bin/windows/kafka-run-class.bat
index 5a61f8d..954339b 100755
--- a/bin/windows/kafka-run-class.bat
+++ b/bin/windows/kafka-run-class.bat
@@ -27,7 +27,7 @@ set BASE_DIR=%CD%
 popd
 
 IF ["%SCALA_VERSION%"] EQU [""] (
-  set SCALA_VERSION=2.12.7
+  set SCALA_VERSION=2.12.8
 )
 
 IF ["%SCALA_BINARY_VERSION%"] EQU [""] (
diff --git a/build.gradle b/build.gradle
index 65d774d..4b84dff 100644
--- a/build.gradle
+++ b/build.gradle
@@ -30,10 +30,10 @@ buildscript {
     classpath "org.ajoberstar:grgit:1.9.3"
     classpath 'com.github.ben-manes:gradle-versions-plugin:0.20.0'
     classpath 'org.scoverage:gradle-scoverage:2.5.0'
-    classpath 'com.github.jengelman.gradle.plugins:shadow:4.0.2'
-    classpath 'org.owasp:dependency-check-gradle:3.3.4'
-    classpath "com.diffplug.spotless:spotless-plugin-gradle:3.16.0"
-    classpath "gradle.plugin.com.github.spotbugs:spotbugs-gradle-plugin:1.6.5"
+    classpath 'com.github.jengelman.gradle.plugins:shadow:4.0.3'
+    classpath 'org.owasp:dependency-check-gradle:4.0.2'
+    classpath "com.diffplug.spotless:spotless-plugin-gradle:3.17.0"
+    classpath "gradle.plugin.com.github.spotbugs:spotbugs-gradle-plugin:1.6.9"
   }
 }
 
@@ -89,7 +89,7 @@ allprojects {
 }
 
 ext {
-  gradleVersion = "5.0"
+  gradleVersion = "5.1"
   minJavaVersion = "8"
   buildVersionFileName = "kafka-version.properties"
 
diff --git a/gradle.properties b/gradle.properties
index 4e43635..b231dce 100644
--- a/gradle.properties
+++ b/gradle.properties
@@ -21,6 +21,6 @@ group=org.apache.kafka
 #  - tests/kafkatest/version.py (variable DEV_VERSION)
 #  - kafka-merge-pr.py
 version=2.2.0-SNAPSHOT
-scalaVersion=2.12.7
+scalaVersion=2.12.8
 task=build
 org.gradle.jvmargs=-Xmx1024m -Xss2m
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index c7faec5..9eac3d4 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -30,7 +30,7 @@ ext {
 
 // Add Scala version
 def defaultScala211Version = '2.11.12'
-def defaultScala212Version = '2.12.7'
+def defaultScala212Version = '2.12.8'
 if (hasProperty('scalaVersion')) {
   if (scalaVersion == '2.11') {
     versions["scala"] = defaultScala211Version
@@ -52,9 +52,9 @@ versions += [
   apacheds: "2.0.0-M24",
   argparse4j: "0.7.0",
   bcpkix: "1.60",
-  easymock: "4.0.1",
-  jackson: "2.9.7",
-  jetty: "9.4.12.v20180830",
+  easymock: "4.0.2",
+  jackson: "2.9.8",
+  jetty: "9.4.14.v20181114",
   jersey: "2.27",
   jmh: "1.21",
   hamcrest: "2.1",
@@ -76,8 +76,8 @@ versions += [
   lz4: "1.5.0",
   mavenArtifact: "3.6.0",
   metrics: "2.2.0",
-  mockito: "2.23.0",
-  powermock: "2.0.0-RC.3",
+  mockito: "2.23.4",
+  powermock: "2.0.0",
   reflections: "0.9.11",
   rocksDB: "5.15.10",
   scalatest: "3.0.5",
@@ -86,7 +86,7 @@ versions += [
   snappy: "1.1.7.2",
   zkclient: "0.11",
   zookeeper: "3.4.13",
-  zstd: "1.3.7-1"
+  zstd: "1.3.8-1"
 ]
 
 libs += [
diff --git a/gradle/rat.gradle b/gradle/rat.gradle
index 513e952..5d9c0da 100644
--- a/gradle/rat.gradle
+++ b/gradle/rat.gradle
@@ -112,7 +112,7 @@ class RatPlugin implements Plugin<Project> {
       mavenCentral()
     }
     project.dependencies {
-      rat 'org.apache.rat:apache-rat-tasks:0.12'
+      rat 'org.apache.rat:apache-rat-tasks:0.13'
     }
   }
 }


Mime
View raw message